Skip to main content
POST
/
emails
/
send
Send a single email
curl --request POST \
  --url https://smtp.sendmux.ai/api/v1/emails/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from": {
    "email": "user@example.com",
    "name": "John Smith"
  },
  "to": {
    "email": "user@example.com",
    "name": "John Smith"
  },
  "subject": "Welcome to SendMux",
  "html_body": "<string>"
}
'
{
  "ok": true,
  "data": {
    "message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "queued",
    "idempotent": true
  },
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  }
}

Authorizations

Authorization
string
header
required

SendMux API key (smx_...)

Body

application/json
from
object
required

Sender address

to
object
required

Primary recipient

subject
string
required

Email subject line (max 998 chars, RFC 5322)

Required string length: 1 - 998
Pattern: ^[^\r\n]*$
Example:

"Welcome to SendMux"

html_body
string
required

HTML email content (max 10MB)

Required string length: 1 - 10485760
text_body
string

Plain text alternative (max 10MB)

Maximum string length: 10485760
reply_to
object

Reply-To address

return_path
string<email>

Envelope sender for VERP support

Maximum string length: 254
cc
object[]

CC recipients (max 100)

Maximum array length: 100
bcc
object[]

BCC recipients (max 100)

Maximum array length: 100
custom_headers
object

Custom X-* headers to include in the email

attachments
object[]

File attachments (max 10)

Maximum array length: 10
idempotency_key
string

Prevents duplicate message processing (24h TTL)

Required string length: 1 - 255
Pattern: ^[a-zA-Z0-9_-]+$

Response

Email queued successfully

ok
enum<boolean>
required
Available options:
true
data
object
required
meta
object
required